In the documentation there are several warnings regarding using Tomcat
in production since it's unsupported and you are told to use a supported
application server such as WebSphere or JBoss EAP.

But when installing the One SSO Provider (OSP) it looks like you are
forced to use Tomcat for that component? Is that by design or is it
possible to install OSP on JBoss EAP?